{
    "class": "Workflow",
    "requirements": [
        {
            "class": "StepInputExpressionRequirement"
        },
        {
            "class": "InlineJavascriptRequirement"
        }
    ],
    "inputs": [
        {
            "type": "int",
            "id": "#main/a"
        },
        {
            "type": "int",
            "id": "#main/b"
        }
    ],
    "steps": [
        {
            "run": {
                "id": "#main/step1/run/echo",
                "class": "CommandLineTool",
                "inputs": [
                    {
                        "type": "int",
                        "inputBinding": {},
                        "id": "#main/step1/run/echo/c"
                    }
                ],
                "outputs": [
                    {
                        "type": "string",
                        "outputBinding": {
                            "glob": "step1_out",
                            "loadContents": true,
                            "outputEval": "$(self[0].contents)"
                        },
                        "id": "#main/step1/run/echo/echo_out"
                    }
                ],
                "baseCommand": "echo",
                "stdout": "step1_out"
            },
            "in": [
                {
                    "source": "#main/a",
                    "id": "#main/step1/a"
                },
                {
                    "source": "#main/b",
                    "id": "#main/step1/b"
                },
                {
                    "valueFrom": "$(inputs.a + inputs.b)",
                    "id": "#main/step1/c"
                }
            ],
            "out": [
                "#main/step1/echo_out"
            ],
            "id": "#main/step1"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "string",
            "outputSource": "#main/step1/echo_out",
            "id": "#main/val"
        }
    ],
    "cwlVersion": "v1.1"
}
